Bug 838360 - [abrt] grsync-1.2.1-1.fc17: strcmp: Process /usr/bin/grsync was killed by signal 11 (SIGSEGV)
[abrt] grsync-1.2.1-1.fc17: strcmp: Process /usr/bin/grsync was killed by sig...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grsync (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:33cfff395d9b1bf03bc10322c6c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-08 15:18 EDT by alainmichelportalis
Modified: 2013-07-31 18:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:38:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.30 KB, text/plain)
2012-07-08 15:18 EDT, alainmichelportalis
no flags Details
File: xsession_errors (4.05 KB, text/plain)
2012-07-08 15:18 EDT, alainmichelportalis
no flags Details
File: maps (21.94 KB, text/plain)
2012-07-08 15:18 EDT, alainmichelportalis
no flags Details
File: dso_list (6.74 KB, text/plain)
2012-07-08 15:18 EDT, alainmichelportalis
no flags Details

  None (edit)
Description alainmichelportalis 2012-07-08 15:18:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/grsync -i
comment:        Plantage de grsync en voulant importer un fichier de type .sh contenant les paramêtres d'une ligne de commande 
crash_function: strcmp
executable:     /usr/bin/grsync
kernel:         3.4.4-3.fc17.i686
pid:            2941
pwd:            /home/alain
time:           dim. 08 juil. 2012 21:08:06 CEST
uid:            1000
username:       alain

backtrace:      Text file, 18742 bytes
dso_list:       Text file, 6901 bytes
maps:           Text file, 22469 bytes
xsession_errors: Text file, 4144 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/alain/4

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x7b5da __strcmp_ia32 libc.so.6 -
:9a09fd2fcbfe1ee70858f2dc6f3bec88bf805a7f 0x5100 load_groups [exe] -
:9a09fd2fcbfe1ee70858f2dc6f3bec88bf805a7f 0x5d74 load_settings [exe] -
:9a09fd2fcbfe1ee70858f2dc6f3bec88bf805a7f 0x881b on_import1_activate [exe] -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xeb4f g_cclosure_marshal_VOID__VOID libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1ea3d - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26ce1 g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x2a5bf3 gtk_widget_activate libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x169ddd gtk_menu_shell_activate_item libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x16a285 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x15c0a0 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x150f62 - libgtk-x11-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xbbbe - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0xcd97 g_closure_invoke libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x1e6e8 - libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26a4e g_signal_emit_valist libgobject-2.0.so.0 -
:15beedcb299b506c9c6a09bdfed67a02095644a5 0x26e64 g_signal_emit libgobject-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x2a6e03 - libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14e9f4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14eda0 gtk_main_do_event libgtk-x11-2.0.so.0 -
:58c8cef120f1482880240f8c8a21b090c8668f77 0x5e439 - libgdk-x11-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14dac0 gtk_main libgtk-x11-2.0.so.0 -
:9a09fd2fcbfe1ee70858f2dc6f3bec88bf805a7f 0x3de6 main [exe] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/alain/keyring-0nzqqV
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=alain
:USERNAME=alain
:MAIL=/var/spool/mail/alain
:PATH=/usr/lib/qt-3.3/bin:/usr/lib/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/alain/.local/bin:/home/alain/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/alain
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2005
:LANG=fr_FR.utf8
:GDM_LANG=fr_FR.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/alain
:SHLVL=1
:LOGNAME=alain
:QTLIB=/usr/lib/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PAimhWKU7T,guid=03da0027031682ccb1501faa00000b15
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/alain
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-alain-lN4RlB/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2007,unix/unix:/tmp/.ICE-unix/2007
:GPG_AGENT_INFO=/run/user/alain/keyring-0nzqqV/gpg:0:1
:SSH_AUTH_SOCK=/run/user/alain/keyring-0nzqqV/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/grsync.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=2941

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15989                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15989                15989                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/alain/.xsession-errors
:pos:	22687
:flags:	02002
:2:/home/alain/.xsession-errors
:pos:	22687
:flags:	02002
:3:socket:[323407]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[323410]
:pos:	0
:flags:	02004002
:6:anon_inode:inotify
:pos:	0
:flags:	02004000
:7:socket:[325490]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Général
:=================================
:UUID: d5b7e6ef-a9c7-4d4b-9304-9bc232a0e6ea
:SE: Fedora release 17 (Beefy Miracle)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: i686
:BogoMIPS: 6027.52
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD Athlon(tm) II X2 250 Processor
:Stepping du processeur: 3
:Famille de processeur: 16
:Modèle du processeur: 6
:Nombre de processeurs: 2
:Vitesse du processeur: 3000
:Mémoire du système: 2015
:Swap du système: 9922
:Fabricant: Gigabyte Technology Co., Ltd.
:Système: GA-870A-UD3 
:Type d'ordinateur: Desktop
:Noyau: 3.4.4-3.fc17.i686
:SELinux activé: 0
:Stratégie SELinux: targeted
:SELinux strict: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4098:17296:5208:45058) pci, ahci, STORAGE, GA-MA770-DS3rev2.0 Motherboard
:(4098:22911:4098:22871) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port F)
:(4318:3043:4163:33588) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4098:22871:4098:22871) pci, None, HOST/PCI, RX780/RX790 Chipset Host Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4098:22904:4098:22871) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (external gfx0 port A)
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4098:17313:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 1)
:(4098:17308:5208:20482) pci, pata_atiixp, STORAGE, SB7x0/SB8x0/SB9x0 IDE Controller
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:5208:41218) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4332:33128:5208:57344) pci, r8169, ETHERNET, GA-EP45-DS5 Motherboard
:(4172:32804:5208:4096) pci, firewire_ohci, FIREWIRE, GA-EP45-DS5 Motherboard
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4318:2661:4163:33588) pci, nouveau, VIDEO, EN210 SILENT
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:5208:20484) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:5208:20484) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4147:404:5208:20487) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4098:22910:4098:22871) pci, pcieport, PCI/PCI, RD790 PCI to PCI bridge (PCI express gpp port E)
:(6523:9059:5208:45056) pci, pata_jmicron, STORAGE, GA-EP45-DS5 Motherboard
:(6523:9059:5208:45056) pci, ahci, STORAGE, GA-EP45-DS5 Motherboard
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / ext4 4096 4096 10196428 5170555 5068475 2555904 2332103 2332103
:/dev/sda3 /home ext4 4096 4096 27283847 10279614 8913291 6832128 6799508 6799508
:/dev/sdc1 WITHHELD ext4 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sdb1 WITHHELD ext3 4096 4096 37454813 12746242 10842870 9519104 9224271 9224271
:

var_log_messages:
:Jul  8 21:03:18 localhost yum[2764]: Installed: grsync-1.2.1-1.fc17.i686
:Jul  8 21:08:06 localhost kernel: [ 3861.033876] grsync[2941]: segfault at 0 ip 4b18c5da sp bfd0b20c error 4 in libc-2.15.so[4b111000+1a8000]
:Jul  8 21:08:06 localhost abrt[2954]: Saved core dump of pid 2941 (/usr/bin/grsync) to /var/spool/abrt/ccpp-2012-07-08-21:08:06-2941 (47050752 bytes)
Comment 1 alainmichelportalis 2012-07-08 15:18:37 EDT
Created attachment 596912 [details]
File: backtrace
Comment 2 alainmichelportalis 2012-07-08 15:18:39 EDT
Created attachment 596913 [details]
File: xsession_errors
Comment 3 alainmichelportalis 2012-07-08 15:18:42 EDT
Created attachment 596914 [details]
File: maps
Comment 4 alainmichelportalis 2012-07-08 15:18:44 EDT
Created attachment 596915 [details]
File: dso_list
Comment 5 Fedora End Of Life 2013-07-03 17:30:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 18:38:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.